OpenVDB 13.0.0

Loading...
Searching...
No Matches
FunctionBuilder::Settings Struct Reference

`#include <openvdb_ax/codegen/FunctionTypes.h>`

## Public Types
using | Ptr = std::shared_ptr<Settings>

## Public Member Functions
bool | isDefault () const

## Public Attributes
std::unique_ptr< SmallArgumentVector< const char * > > | mNames = nullptr
SmallArgumentVector< const char * > | mDeps = {}
bool | mConstantFold = false
bool | mEmbedIR = false
bool | mReadOnly = false
Function::Type | mType = Function::Type::kNormal
SmallArgumentVector< llvm::Attribute::AttrKind > | mFnAttrs = {}
SmallArgumentVector< llvm::Attribute::AttrKind > | mRetAttrs = {}
std::map< size_t, SmallArgumentVector< llvm::Attribute::AttrKind > > | mParamAttrs = {}

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::shared_ptr<Settings>

## Member Function Documentation

## ◆ isDefault()

bool isDefault | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mConstantFold

bool mConstantFold = false

## ◆ mDeps

SmallArgumentVector<const char*> mDeps = {}

## ◆ mEmbedIR

bool mEmbedIR = false

## ◆ mFnAttrs

SmallArgumentVector<llvm::Attribute::AttrKind> mFnAttrs = {}

## ◆ mNames

std::unique_ptr<SmallArgumentVector<const char*> > mNames = nullptr

## ◆ mParamAttrs

std::map<size_t, SmallArgumentVector<llvm::Attribute::AttrKind> > mParamAttrs = {}

## ◆ mReadOnly

bool mReadOnly = false

## ◆ mRetAttrs

SmallArgumentVector<llvm::Attribute::AttrKind> mRetAttrs = {}

## ◆ mType

Function::Type mType = Function::Type::kNormal